Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.networks.training.genetic
Class NeuralGeneticAlgorithm.NeuralGeneticAlgorithmHelper

    java.lang.Object
      org.encog.ml.genetic.GeneticAlgorithm
          org.encog.ml.genetic.BasicGeneticAlgorithm
              org.encog.neural.networks.training.genetic.NeuralGeneticAlgorithm.NeuralGeneticAlgorithmHelper

All Implemented Interfaces:
  MultiThreadable

Enclosing class:
  NeuralGeneticAlgorithm

    public class NeuralGeneticAlgorithm.NeuralGeneticAlgorithmHelper

extends BasicGeneticAlgorithm

Very simple class that implements a genetic algorithm.

Author:
  jheaton

Constructor Summary
`NeuralGeneticAlgorithm.NeuralGeneticAlgorithmHelper()`

Method Summary
`double` | `getError()`
`MLMethod` | `getMethod()` Get the current best neural network.

Methods inherited from class org.encog.ml.genetic.BasicGeneticAlgorithm
`iteration`

Methods inherited from class org.encog.ml.genetic.GeneticAlgorithm
`addSpeciesMember, calculateScore, getCalculateScore, getComparator, getCrossover, getMatingPopulation, getMutate, getMutationPercent, getPercentToMate, getPopulation, getThreadCount, setCalculateScore, setComparator, setCrossover, setMatingPopulation, setMutate, setMutationPercent, setPercentToMate, setPopulation, setThreadCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeuralGeneticAlgorithm.NeuralGeneticAlgorithmHelper

    public NeuralGeneticAlgorithm.NeuralGeneticAlgorithmHelper()

Method Detail

### getError

    public final double getError()

  Returns:
    The error from the last iteration.

### getMethod

    public final MLMethod getMethod()

  Get the current best neural network.

  Returns:
    The current best neural network.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.